### Method

# Fwupd BiosSetting set_description

since: 1.8.4

#### Declaration [src]

    void
    fwupd_bios_setting_set_description (
      FwupdBiosSetting* self,
      const gchar* description
    )

#### Description [src]

Sets the attribute description.

Available since: 1.8.4

#### Parameters

`description`

  Type: `const gchar*`

  The attribute description.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.